Subject: Re: bug#11935: XINT etc. should be functions

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Jun 2013 23:04:45 -0400

>> Having XCONS and friends duplicated into a macro version and a function
>> version is a non-starter for me.
> Yes, I didn't like those macros either.  I'll remove them; they're no
> longer needed now that GCC has the -Og option.

Sadly, I don't live in the same era as you do: my gcc doesn't take -Og yet.

>   -O0 unpatched    2.89        3.1       12.4        57	       1099
>   -O0 patched     21.66        3.0       20.0        63        2442

An almost 10 times slowdown for the -O0 case is really problematic.
IOW I think it'll be a fine idea but only when -Og is supported in
Debian stable.

        Stefan